path: /build/build/nspr-dev-libs-4.36.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-libs/nspr -pv -t && \
    emerge -j ${JOBS} --nodeps dev-libs/nspr
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/nspr && luet-portage --dir /pkgdir/nspr
    dev-libs/nspr && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:e1e7f6685382341ee06a2e6c00adf5b2d6b3c8125a58427254caa04402618b54
  package:
    name: nspr
    version: "4.36"
    category: dev-libs
    requires:
    - name: pkgconfig
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Netscape Portable Runtime
    uri:
    - https://www.mozilla.org/projects/nspr/
    license: '|| ( MPL-2.0 GPL-2 LGPL-2.1 )'
    buildtimestamp: 2025-02-02 13:46:59.431342814 +0000 UTC m=+65.052643983
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      IUSE: debug elibc_musl
      emerge.packages: dev-libs/nspr
      kit: dev-kit
      original.package.name: dev-libs/nspr
      original.package.slot: "0"
      original.package.version: "4.36"
    treedir: /build/packages
  package_dir: /pkgdir/nspr
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6823e583acfbbd6e1289daa4cc8cb37c885d26e089f1ed6eff51dc6dd5cda34d
compressiontype: zstd
files:
- usr/bin/nspr-config
- usr/include/nspr/md/_aix32.cfg
- usr/include/nspr/md/_aix64.cfg
- usr/include/nspr/md/_darwin.cfg
- usr/include/nspr/md/_freebsd.cfg
- usr/include/nspr/md/_hpux32.cfg
- usr/include/nspr/md/_hpux64.cfg
- usr/include/nspr/md/_linux.cfg
- usr/include/nspr/md/_netbsd.cfg
- usr/include/nspr/md/_nto.cfg
- usr/include/nspr/md/_openbsd.cfg
- usr/include/nspr/md/_qnx.cfg
- usr/include/nspr/md/_riscos.cfg
- usr/include/nspr/md/_solaris.cfg
- usr/include/nspr/md/_win95.cfg
- usr/include/nspr/md/_winnt.cfg
- usr/include/nspr/nspr.h
- usr/include/nspr/obsolete/pralarm.h
- usr/include/nspr/obsolete/probslet.h
- usr/include/nspr/obsolete/protypes.h
- usr/include/nspr/obsolete/prsem.h
- usr/include/nspr/plarena.h
- usr/include/nspr/plarenas.h
- usr/include/nspr/plbase64.h
- usr/include/nspr/plerror.h
- usr/include/nspr/plgetopt.h
- usr/include/nspr/plhash.h
- usr/include/nspr/plstr.h
- usr/include/nspr/pratom.h
- usr/include/nspr/prbit.h
- usr/include/nspr/prclist.h
- usr/include/nspr/prcmon.h
- usr/include/nspr/prcountr.h
- usr/include/nspr/prcpucfg.h
- usr/include/nspr/prcvar.h
- usr/include/nspr/prdtoa.h
- usr/include/nspr/prenv.h
- usr/include/nspr/prerr.h
- usr/include/nspr/prerror.h
- usr/include/nspr/prinet.h
- usr/include/nspr/prinit.h
- usr/include/nspr/prinrval.h
- usr/include/nspr/prio.h
- usr/include/nspr/pripcsem.h
- usr/include/nspr/private/pprio.h
- usr/include/nspr/private/pprthred.h
- usr/include/nspr/private/prpriv.h
- usr/include/nspr/prlink.h
- usr/include/nspr/prlock.h
- usr/include/nspr/prlog.h
- usr/include/nspr/prlong.h
- usr/include/nspr/prmem.h
- usr/include/nspr/prmon.h
- usr/include/nspr/prmwait.h
- usr/include/nspr/prnetdb.h
- usr/include/nspr/prolock.h
- usr/include/nspr/prpdce.h
- usr/include/nspr/prprf.h
- usr/include/nspr/prproces.h
- usr/include/nspr/prrng.h
- usr/include/nspr/prrwlock.h
- usr/include/nspr/prshm.h
- usr/include/nspr/prshma.h
- usr/include/nspr/prsystem.h
- usr/include/nspr/prthread.h
- usr/include/nspr/prtime.h
- usr/include/nspr/prtpool.h
- usr/include/nspr/prtrace.h
- usr/include/nspr/prtypes.h
- usr/include/nspr/prvrsion.h
- usr/include/nspr/prwin.h
- usr/lib64/libnspr4.so
- usr/lib64/libplc4.so
- usr/lib64/libplds4.so
- usr/lib64/pkgconfig/nspr.pc
- usr/share/aclocal/nspr.m4
- var/db/pkg/dev-libs/nspr-4.36/BDEPEND
- var/db/pkg/dev-libs/nspr-4.36/BUILD_TIME
- var/db/pkg/dev-libs/nspr-4.36/CATEGORY
- var/db/pkg/dev-libs/nspr-4.36/CBUILD
- var/db/pkg/dev-libs/nspr-4.36/CC
- var/db/pkg/dev-libs/nspr-4.36/CFLAGS
- var/db/pkg/dev-libs/nspr-4.36/CHOST
- var/db/pkg/dev-libs/nspr-4.36/CONTENTS
- var/db/pkg/dev-libs/nspr-4.36/COUNTER
- var/db/pkg/dev-libs/nspr-4.36/CTARGET
- var/db/pkg/dev-libs/nspr-4.36/CXX
- var/db/pkg/dev-libs/nspr-4.36/CXXFLAGS
- var/db/pkg/dev-libs/nspr-4.36/DEFINED_PHASES
- var/db/pkg/dev-libs/nspr-4.36/DESCRIPTION
- var/db/pkg/dev-libs/nspr-4.36/EAPI
- var/db/pkg/dev-libs/nspr-4.36/FEATURES
- var/db/pkg/dev-libs/nspr-4.36/HOMEPAGE
- var/db/pkg/dev-libs/nspr-4.36/INHERITED
- var/db/pkg/dev-libs/nspr-4.36/IUSE
- var/db/pkg/dev-libs/nspr-4.36/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/nspr-4.36/KEYWORDS
- var/db/pkg/dev-libs/nspr-4.36/LDFLAGS
- var/db/pkg/dev-libs/nspr-4.36/LICENSE
- var/db/pkg/dev-libs/nspr-4.36/NEEDED
- var/db/pkg/dev-libs/nspr-4.36/NEEDED.ELF.2
- var/db/pkg/dev-libs/nspr-4.36/PF
- var/db/pkg/dev-libs/nspr-4.36/PROVIDES
- var/db/pkg/dev-libs/nspr-4.36/REQUIRES
- var/db/pkg/dev-libs/nspr-4.36/SIZE
- var/db/pkg/dev-libs/nspr-4.36/SLOT
- var/db/pkg/dev-libs/nspr-4.36/USE
- var/db/pkg/dev-libs/nspr-4.36/environment.bz2
- var/db/pkg/dev-libs/nspr-4.36/nspr-4.36.ebuild
- var/db/pkg/dev-libs/nspr-4.36/repository
package_cacheimage: ""
runtime:
  name: nspr
  version: "4.36"
  category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Netscape Portable Runtime
  uri:
  - https://www.mozilla.org/projects/nspr/
  license: '|| ( MPL-2.0 GPL-2 LGPL-2.1 )'
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    IUSE: debug elibc_musl
    emerge.packages: dev-libs/nspr
    kit: dev-kit
    original.package.name: dev-libs/nspr
    original.package.slot: "0"
    original.package.version: "4.36"
